DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageIsJPEG

Confirm that a file is a JPEG file (in dipIO)

## SYNOPSIS

`#include "dipio_jpeg.h"`

dip_Error dipio_ImageIsJPEG ( filename, veredict )

## FUNCTION

This function verifies that the file is a JPEG file. `veredict` is set to `DIP_TRUE` if it is, and to `DIP_FALSE` if it isn't.

## ARGUMENTS

Data type | Name | Description
`dip_String` | `filename` | File name
`dip_Boolean *` | `veredict` | Set to `DIP_TRUE` or `DIP_FALSE`

## SOFTWARE

This function uses `libjpeg` (version 6b or later). Copyright (c)1994-1998, Thomas G. Lane.

## SEE ALSO

`ImageWriteJPEG`, `ImageReadJPEG`, `ImageReadJPEGInfo`